Skip to main content
Resource Center/Network Resource/VPC Operations
GETVPC OperationsSince 2.3SynchronousAuth Required

GetVpcVRouterDistributedRoutingConnections

GetVpcVRouterDistributedRoutingConnections

Execution Availability

Try It Out

Submit a mock request using the current auth context and example-driven inputs.

Path Parameters

Query Parameters

Request Inputs

Path Parameters

  • uuidStringRequired

    The VPC vRouter UUID. To obtain the real-time traffic state of a VPC vRouter, enable distributed routing.

Query Parameters

  • systemTagsList

    Optional. The system tags.

  • userTagsList

    Optional. The user tags.

Responses

200 OK

On success, this API returns the following response structure.

  • inventoriesMapRequired

    The collection of the real-time traffic state. Its structure is Map. Key is the communication address on each side. The API response content is a Map, including the source network, destination network type, VNI, the MAC address on each side, the last operation date, and the current optimization status. In the content, ZSNP_DST_SUCC means that the optimization succeeds.

  • errorErrorCodeRequired

    The error code. If not null, the operation fails, or vice versa. For more information, seeerror.

    • codeStringRequired

      The error code, which is a numbered or alphanumeric code that specifies an error. For example, SYS.1000, HOST.1001.

    • descriptionStringRequired

      The brief description of the error.

    • detailsStringRequired

      The details about the error.

    • elaborationStringRequired

      The reserved field. Default value: null.

    • opaqueLinkedHashMapRequired

      The reserved field. Default value: null.

    • causeErrorCodeRequired

      The root error, which is the associated root cause of the current error. If no root error exists, this parameter is null.

Endpoint

GET/zstack/v1/vpc/virtual-routers/{uuid}/tracked-connections

/zstack/v1/vpc/virtual-routers/{uuid}/tracked-connections

Operation ID

GetVpcVRouterDistributedRoutingConnections

Permalink

Request Example

curl -X GET 'http://{host}/zstack/v1/vpc/virtual-routers/{uuid}/tracked-connections?systemTags=<systemTags>&userTags=<userTags>' -H 'Authorization: OAuth {sessionUuid}'

Response Example

200
{ "inventories": { "192.168.31.156,192.168.105.175": { "sourceL2NetworkType": "L2VlanNetwork", "destinationL2NetworkType": "L2VlanNetwork", "sourceMac": "fa:bf:6e:37:c3:00", "destinationMac": "fa:3a:b3:ae:f4:00", "sourceL2NetworkVni": 3101.0, "destinationL2NetworkVni": 3105.0, "lastOpDate": "2017-12-02 15:23:44.872099448 +0800 CST m\u003d+70467.712498312", "status": "ZSNP_DST_SUCC" } } }

Change History

This API has no change history records yet.

View all change history